# -*- coding: utf-8 -*-

"""
/***************************************************************************
 medSens
                                 A QGIS plugin
 MedSens Plugin
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                              -------------------
        begin                : 2018-11-19
        copyright            : (C) 2018 by Matteo Ghetta
        email                : matteo.ghetta@faunalia.eu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""

__author__ = 'Matteo Ghetta'
__date__ = '2018-11-19'
__copyright__ = '(C) 2018 by Matteo Ghetta'

# This will get replaced with a git SHA1 when you do a git archive

__revision__ = '$Format:%H$'

from qgis.core import QgsProcessingProvider
from .medsens_algorithm import medSensAlgorithm
from qgis.PyQt.QtGui import QIcon

import os

pluginPath = os.path.dirname(__file__)

class medSensProvider(QgsProcessingProvider):

    def __init__(self):
        QgsProcessingProvider.__init__(self)

        # Load algorithms
        self.alglist = [medSensAlgorithm()]

    def unload(self):
        pass

    def loadAlgorithms(self):
        for alg in self.alglist:
            self.addAlgorithm( alg )

    def id(self):
        return 'MedSens'

    def name(self):
        return self.tr('MedSens')

    def longName(self):
        return self.name()

    def icon(self):
        return QIcon(os.path.join(pluginPath, "icon.png"))
